# cus_oemagent.mk - "make" command file to relink dbsnmp and 
# associated executables
#
#
# 
# NOTE:         ORACLE_HOME must be either:
#               . set in the user's environment
#               . passed in on the command line
#               . defined in a modified version of this makefile

include  $(ORACLE_HOME)/network/lib/env_oemagent.mk 

OEMAGENTHOME = $(ORACLE_HOME)/network/

RDBMSHOME = $(ORACLE_HOME)/rdbms/
RDBMSLIB  = $(ORACLE_HOME)/rdbms/lib/
RDBMSBIN  = $(ORACLE_HOME)/rdbms/bin/
LDFLAGS   = $(STDMODE) -L$(LIBHOME)/stubs -L$(LIBHOME) -L$(ORACLE_HOME)/rdbms/lib  -L$(ORACLE_HOME)/network/lib 
LDCCOM    = $(LINK) $(LDFLAGS) $(EXOSFLAGS) -o $@


INSTALL_TARGS = clean idbsnmp idbsnmpj iagentctl ioemevent \
                ioratclsh inmu7q28 inmumigr8 inmudg


default: agent

agent: ilibvppdc idbsnmp idbsnmpj iagentctl ioemevent \
       ioratclsh inmu7q28 inmumigr8 inmudg
	$(ECHO) "Intelligent Agent relinked"
	$(ECHO) "IMPORTANT NOTE: To complete this Install/upgrade, please login as root and"
	$(ECHO) "                execute the root.sh script."

#
# targets for relinking executables
#

ioemevent: oemevent
	-mv -f $(ORACLE_HOME)/bin/oemevent $(ORACLE_HOME)/bin/oemevent0
	-mv oemevent $(ORACLE_HOME)/bin/oemevent

oemevent:
	if [ $(PLATFORM) = aix ]; then \
	$(LDCCOM) $(LDIRS) $(OEMEVENTMAI) $(LIBVPPDC_LINK) $(LIBNMI_LINK) \
	$(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
	$(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
	$(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	else \
	$(LDCCOM) $(OEMEVENTMAI) $(LIBVPPDC_LINK) $(LIBNMI_LINK) \
	$(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
	$(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
	$(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	fi

ioratclsh: oratclsh
	-mv -f $(ORACLE_HOME)/bin/oratclsh $(ORACLE_HOME)/bin/oratclsh0
	-mv oratclsh $(ORACLE_HOME)/bin/oratclsh

oratclsh:
	if [ $(PLATFORM) = aix ]; then \
	$(LDCCOM) $(LDIRS) $(ORATCLSHMAI) $(LIBVPPDC_LINK) $(LIBNMI_LINK) \
        $(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
        $(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
        $(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	else \
	$(LDCCOM) $(ORATCLSHMAI) $(LIBVPPDC_LINK) $(LIBNMI_LINK) \
        $(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
        $(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
        $(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	fi

idbsnmp: dbsnmp
	-mv -f $(ORACLE_HOME)/bin/dbsnmp $(ORACLE_HOME)/bin/dbsnmp0
	-mv dbsnmp $(ORACLE_HOME)/bin/dbsnmp

dbsnmp:
	if [ $(PLATFORM) = aix ]; then \
	$(LDCCOM) $(LDIRS) $(DBSNMPMAI) $(LIBVPPDC_LINK) $(LIBVPS) \
	$(LIBNMI_LINK) \
        $(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
        $(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
        $(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
        $(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	else \
	$(LDCCOM) $(DBSNMPMAI) $(LIBVPPDC_LINK) $(LIBVPS) \
	$(LIBNMI_LINK) \
        $(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
        $(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
        $(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
        $(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	fi

idbsnmpj: dbsnmpj
	-mv -f $(ORACLE_HOME)/bin/dbsnmpj $(ORACLE_HOME)/bin/dbsnmpj0
	-mv dbsnmpj $(ORACLE_HOME)/bin/dbsnmpj

dbsnmpj:
	if [ $(PLATFORM) = aix ]; then \
	$(LDCCOM) $(LDIRS) $(DBSNMPJMAI) $(LIBNMI_LINK) $(LIBVPPDC_LINK) \
        $(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
        $(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
        $(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	else \
	$(LDCCOM) $(DBSNMPJMAI) $(LIBNMI_LINK) $(LIBVPPDC_LINK) \
        $(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
        $(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
        $(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	fi

iagentctl: agentctl
	-mv -f $(ORACLE_HOME)/bin/agentctl $(ORACLE_HOME)/bin/agentctl0
	-mv agentctl $(ORACLE_HOME)/bin/agentctl

agentctl:
	if [ $(PLATFORM) = aix ]; then \
	$(LDCCOM) $(LDIRS) $(AGENTCTLMAI) $(LIBVPPDC_LINK) $(LIBNMI_LINK) \
	$(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB)  $(LIBTCL)  \
	$(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
	$(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	else \
	$(LDCCOM) $(AGENTCTLMAI) $(LIBVPPDC_LINK) $(LIBNMI_LINK) \
	$(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(LIBNMI_LINK) $(SNMPLIB) $(SNMPAGENTLIB)  $(LIBTCL)  \
	$(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
	$(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	fi

inmu7q28: nmu7q28
	-mv -f $(ORACLE_HOME)/bin/nmu7q28 $(ORACLE_HOME)/bin/nmu7q280
	-mv nmu7q28 $(ORACLE_HOME)/bin/nmu7q28

nmu7q28:
	if [ $(PLATFORM) = aix ]; then \
	$(LDCCOM) $(LDIRS) $(NMU7Q28MAI) $(LIBNMU) $(LIBNMI_LINK) \
	$(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(SNMPLIB) $(SNMPAGENTLIB) $(LIBVPPDC_LINK) $(LIBTCL) \
	$(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
	$(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	else \
	$(LDCCOM) $(NMU7Q28MAI) $(LIBNMU) $(LIBNMI_LINK) \
	$(LIBNMD_LINK) $(LIBNMS_LINK) $(LIBNMT_LINK) $(LIBNML_LINK) \
	$(SNMPLIB) $(SNMPAGENTLIB) $(LIBVPPDC_LINK) $(LIBTCL) \
	$(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
	$(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS); \
	fi

inmumigr8: nmumigr8
	-mv -f $(ORACLE_HOME)/bin/nmumigr8 $(ORACLE_HOME)/bin/nmumigr80
	-mv nmumigr8 $(ORACLE_HOME)/bin/nmumigr8

nmumigr8:
	$(LDCCOM) $(LDIRS) $(NMUMAI) $(LIBNMU) \
	$(VPPWINSOCTYPEDEFS) $(DXALIBS) $(LIBVPPDC_LINK) \
	$(LIBNMI_LINK) $(LIBNMD_LINK) $(LIBNMS_LINK) \
	$(LIBNMT_LINK) $(LIBNML_LINK) $(LIBNMI_LINK) \
	$(SNMPLIB) $(SNMPAGENTLIB) $(LIBTCL) \
	$(LLIBCLNTSH) $(DEF_OPT) $(LLIBCLIENT) \
	$(LLIBEPC) $(LINKTTLIBS) $(OSDLINKOPTS)

inmudg: nmudg
	-mv -f $(ORACLE_HOME)/bin/nmudg $(ORACLE_HOME)/bin/nmudg0
	-mv nmudg $(ORACLE_HOME)/bin/nmudg

nmudg:
	$(LDCCOM) $(NMUDGMAI) $(CORELIBS) $(LIBDBTOOLS) \
	$(LINKTTLIBS) $(OSDLINKOPTS)


preinstall:
	-chmod 755 $(ORACLE_HOME)/bin
 
install: preinstall $(INSTALL_TARGS)

 
clean:

